package chainbase

import (
	"context"

	"git.frostfs.info/TrueCloudLab/policy-engine/pkg/engine"
)

// DatabaseCore interface provides methods to initialize and manage local override storage
// as database.
type DatabaseCore interface {
	Init() error
	Open(context.Context) error
	Close() error
}

// LocalOverrideDatabase interface provides methods to manage local override storage
// as database and as the APE's local override storage.
type LocalOverrideDatabase interface {
	DatabaseCore
	engine.LocalOverrideStorage
}
